"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function readMaybeHeaderBuffer(nextBuffer, buffers) {
    var completeHeader = false;
    var length = Buffer.from('\r\n\r\n', 'utf-8').length;
    var offset = nextBuffer.indexOf('\r\n\r\n', 0, 'utf-8');
    if (offset > 0) {
        var headerLines = nextBuffer.slice(0, offset);
        buffers.header.push(headerLines);
        buffers.body.push(nextBuffer.slice(offset + length));
        return true;
    }
    return completeHeader;
}
exports.readMaybeHeaderBuffer = readMaybeHeaderBuffer;
//# sourceMappingURL=read-maybe-header-buffer.js.map