"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var git_http_backend_variable_names_1 = require("../model/git-http-backend-variable-names");
function mapHeadersToEnv(headers, options) {
    if (options === void 0) { options = git_http_backend_variable_names_1.gitHttpBackendVariableNames; }
    var processEnv = {};
    for (var header in headers) {
        var name_1 = header.toUpperCase()
            .replace(/-/g, '_');
        if (options.includes(name_1)) {
            processEnv[name_1] = headers[header];
        }
    }
    return processEnv;
}
exports.mapHeadersToEnv = mapHeadersToEnv;
//# sourceMappingURL=map-headers-to-env.js.map