"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var read_maybe_header_buffer_1 = require("./read-maybe-header-buffer");
var write_body_1 = require("./write-body");
var write_header_1 = require("./write-header");
function writeData(chunk, buffers, res) {
    if (buffers.completedHeader) {
        res.write(chunk);
    }
    else {
        buffers.completedHeader = read_maybe_header_buffer_1.readMaybeHeaderBuffer(chunk, buffers);
        if (buffers.completedHeader) {
            write_header_1.writeHeader(buffers.header, res);
            write_body_1.writeBody(buffers.body, res);
        }
    }
}
exports.writeData = writeData;
//# sourceMappingURL=write-data.js.map